## units 2.18

=== debian/changelog ===
units (2.18-1) unstable; urgency=medium

  * New upstream release.
    - New currency sources replace the Yahoo! service which is no longer
      available. Closes: #910503.
    - Downloaded data is validated before being interpreted.
      Closes: #902935.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Oct 2018 10:22:02 +0200
