## units 2.19

=== debian/changelog ===
units (2.19-1) unstable; urgency=medium

  * Upload to unstable.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Aug 2019 21:15:21 +0200

units (2.19-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Continuation paragraphs are indented in the manpage.
      Closes: #921160.
    - The AUTHORS section of the manpage is now filled in.
      Closes: #926559.
  * Update debian/copyright.
  * Standards-Version 4.3.0, no further change required.
  * Switch to debhelper compatibility level 12.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Jun 2019 14:09:02 +0200
