## units 2.21

=== debian/changelog ===
units (2.21-2) unstable; urgency=medium

  * Apply the patch provided by upstream to fix segfaults when performing
    verbose inverse lookups of table-driven units. Closes: #1003708.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 30 Jan 2022 21:16:37 +0100

units (2.21-1) unstable; urgency=medium

  * New upstream release.
  * Fix remaining troublesome dates in the changelog; thanks to Axel
    Beckert for pointing them out! Closes: #971974.
  * Bump debian/watch to version 4 and simplify it.
  * Update copyright information.
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Nov 2020 15:46:34 +0100

units (2.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit (from ./configure).
  * Fix day-of-week for changelog entry 1.55-2.
  * Update standards version to 4.4.1, no changes needed.

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 10 Oct 2020 10:08:39 +0200
