=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: utils
 Priority: optional
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/units
 Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
