## units 2.22

=== debian/changelog ===
units (2.22-2) unstable; urgency=medium

  * Fix the currency.units symlink. Closes: #1019337.

 -- Stephen Kitt <skitt@debian.org>  Wed, 07 Sep 2022 17:04:01 +0200

units (2.22-1) unstable; urgency=medium

  * New upstream release, merging all patches.
  * Disable the currency update check.
  * Update lintian overrides.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 06 Sep 2022 08:40:03 +0200
