=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/units
 Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
