=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: units
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: bison,
@@ -7,7 +8,7 @@
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/units
 Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
