=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for GNU Units

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sharedstatedir=/var/lib

override_dh_md5sums:
# There’s no point in measuring variable state
	dh_md5sums -X var/lib
