=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=auto,pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnu.org/gnu/units/ (?:.*/)?units@ANY_VERSION@@ARCHIVE_EXT@
