=== debian/changelog ===
units (2.24-2) unstable; urgency=medium

  * Force C17 to allow building with GCC 15 (which defaults to C23).
    Closes: #1098041.
  * Remove the old FSF address from debian/copyright.
  * Standards-Version 4.7.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Sep 2025 17:30:38 +0200

units (2.24-1) unstable; urgency=medium

  * New upstream release.
  * Update to upstream’s new signing key (confirmed separately).
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Dec 2024 20:45:27 +0100
