=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: units
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: bison,
@@ -8,7 +7,7 @@
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/units
 Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
