=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # debian/rules file - for GNU Units
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND := -std=gnu17
 
 %:
 	dh $@
