## units 2.25

=== Windows/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Makefile for Windows binary distribution of GNU units, a program for
 # units conversion
 #
-# Copyright (C) 2014-2024
+# Copyright (C) 2014-2024,2026
 # Free Software Foundation, Inc
 #
-# Last updated 2024-11-21 Jeff Conrad <jeff_conrad@msn.com>
+# Last updated 2026-01-03 Jeff Conrad <jeff_conrad@msn.com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -37,18 +37,29 @@
 #  gnu.ico     -- for the installer to display
 #  Makefile (this file) to build Windows distribution
 #  lwords -- words to exclude from spelling check
-#  ex.rc  -- adds special mapping for spellx and formatting paragraphs
+#  .exrc  -- adds special mapping for spellx and formatting paragraphs
 #  UnitsForWindows.texinfo
+#  UnitsProfile.png
+#  UnitsWinConInst.png
+#  UnitsWinTermInst.png
+#  UnitsWindow-Custom.png
+#  UnitsWindow-Default.png
 
 # for PTC MKS Toolkit
 .POSIX:
 
 SHELL = /bin/sh
-PROG = units
-VERSION = 2.24
-DISTNAME = $(PROG)-$(VERSION)
+PROGNAME = units
+PROG = $(PROGNAME).exe
+VERSION = 2.25
+DISTNAME = $(PROGNAME)-$(VERSION)
 INSTALLER = $(DISTNAME)$(exename)
 ZIPFILE = $(DISTNAME)$(zipname)
+UPLOADFILE = upload.txt
+ALPHAFILE = AlphaUpload.txt
+FTP_SITE = ftp-upload.gnu.org
+FTP = ftp -d -s:$(UPLOADFILE) $(FTP_SITE)
+AFTP = ftp -d -s:$(ALPHAFILE) $(FTP_SITE)
 # for installer
 exename = -setup.exe
 # for zipped version of installer
@@ -63,6 +74,7 @@
 #
 ProgFiles32 = "C:/Program Files (x86)"
 ProgFiles64 = "C:/Program Files"
+CMD = cmd.exe
 GPG  = $(ProgFiles32)/GnuPG/bin/gpg.exe
 # Inno Setup
 ISCC = $(ProgFiles32)/"Inno Setup 6"/ISCC.exe
@@ -81,10 +93,10 @@
 data_file = definitions.units
 locale_map = locale_map.txt
 
-INSTALLER_SCRIPT_TEMPLATE = $(windir)/$(PROG)-xxx.iss
-INSTALLER_SCRIPT = $(windir)/$(PROG)-$(VERSION).iss
-
-install_dir = $(ProgFiles64)/GNU/$(PROG)
+INSTALLER_SCRIPT_TEMPLATE = $(windir)/$(PROGNAME)-xxx.iss
+INSTALLER_SCRIPT = $(windir)/$(PROGNAME)-$(VERSION).iss
+
+install_dir = $(ProgFiles64)/GNU/$(PROGNAME)
 
 .SUFFIXES:
 .SUFFIXES: .texinfo .pdf
@@ -95,10 +107,15 @@
 # revised for units 2.15 to reflect single version for Python 2 and Python 3
 CUR_PROG = units_cur.py
 
+SOURCEFILES = units.c parse.tab.c getopt.c getopt1.c \
+              units.h getopt.h units.rc unitsprog.ico
+
+OBJS = units.obj parse.tab.obj getopt.obj getopt1.obj
+RES = units.res
+
 # copy from source distribution
-DISTFILES = $(PROG).exe $(CUR_PROG) \
-            definitions.units elements.units currency.units cpi.units \
-	    locale_map.txt units.pdf unitsfile.ico unitsprog.ico
+DISTFILES = definitions.units elements.units currency.units cpi.units \
+	    locale_map.txt units.pdf unitsfile.ico units_cur
 
 # files needed for Windows builder
 BUILDERFILES = Instructions.txt* Makefile.in* Readme.txt* RemoveFromPath.iss* \
@@ -109,12 +126,13 @@
 WINTEXI = UnitsForWindows.texinfo
 WINPDF = UnitsForWindows.pdf
 WINFILES = Readme.txt gnu.ico
+WINMAKEFILE = Makefile.Win
 
 # Text files get converted from LF to CRLF if necessary
-TEXTFILES = $(CUR_PROG) definitions.units elements.units currency.units cpi.units \
-    locale_map.txt License.txt
-
-FILES = $(PROG).exe $(TEXTFILES)
+TEXTFILES = elements.units definitions.units currency.units cpi.units \
+    locale_map.txt License.txt $(CUR_PROG)
+
+FILES = $(TEXTFILES)
 
 # targets
 
@@ -124,7 +142,7 @@
 
 ins: $(INSTALLER)
 
-$(INSTALLER): $(INSTALLER_SCRIPT_TEMPLATE) $(WINPDF) $(WINFILES) $(FILES)
+$(INSTALLER): $(INSTALLER_SCRIPT_TEMPLATE) $(FILES) $(PROG) $(WINPDF) $(WINFILES)
 	@if test -z $(VERSION); then \
 	    echo "No version specified"; \
 	    false; \
@@ -137,28 +155,19 @@
 	# check pathnames of units data file and locale map to see if they include only the filenames
 	@errors=0; \
 	    echo "Checking version ..."; \
-	    srcversion=`sed -n -e '/\#.*VERSION/{s/.*"\(.*\)"/\1/p;q;}' $(srcdir)/$(PROG).c`; \
+	    srcversion=`sed -n -e '/\#.*VERSION/{s/.*"\(.*\)"/\1/p;q;}' $(srcdir)/$(PROGNAME).c`; \
 	    if [ "$$srcversion" != "$(VERSION)" ]; then \
 		echo "specified version ($(VERSION)) does not match source version ($$srcversion)"; \
 		errors=`expr $$errors + 1`; \
 	    fi; \
-	    if [ ! -x $(srcdir)/$(PROG).exe ]; then \
-		echo "$(srcdir)/$(PROG).exe not found; build it before creating this distribution"; \
-		errors=`expr $$errors + 1`; \
-	    fi; \
-	    exeversion=`$(srcdir)/units -V | sed -n -e 's/^.*version[ ]*//p;q'`; \
+	    exeversion=`$(windir)/$(PROG) -V | sed -n -e 's/^.*version[ ]*//p;q'`; \
 	    if [ "$$exeversion" != "$$srcversion" ]; then \
 		echo "executable version ($$exeversion) does not match source version ($$srcversion)"; \
 		errors=`expr $$errors + 1`; \
 	    fi; \
 	    \
 	    echo "Checking units data files ..."; \
-	    datafile=`$(srcdir)/$(PROG) -I | sed -n -e "/Default units data file/{s/.*'\(.\{1,\}\)'.*/\1/p;q;}"`; \
-	    if [ "$$datafile" != $(data_file) ]; then \
-		echo "Default data file ("$$datafile") does not match '$(data_file)'"; \
-		errors=`expr $$errors + 1`; \
-	    fi; \
-	    localemap=`$(srcdir)/$(PROG) -I | sed -n -e "/Default locale map/{s/.*'\(.\{1,\}\)'.*/\1/p;q;}"`; \
+	    localemap=`$(windir)/$(PROGNAME) -I | sed -n -e "/Default locale map/{s/.*'\(.\{1,\}\)'.*/\1/p;q;}"`; \
 	    if [ "$$localemap" != $(locale_map) ]; then \
 		echo "Default locale map ("$$localemap") does not match '$(locale_map)'"; \
 		errors=`expr $$errors + 1`; \
@@ -182,15 +191,6 @@
 	@$(ISCC) $(windir)/$(INSTALLER_SCRIPT)
 	@echo ""
 
-# not used unless distribution is in WinZip format; usually needed only
-# to get past an exe filter
-zip: $(ZIPFILE)
-
-$(ZIPFILE): $(INSTALLER)
-	@echo "Creating $@"
-	@$(ZIP) $(windir)/$(ZIPFILE) $(windir)/$(INSTALLER) > /dev/null
-	@ls -l $(ZIPFILE)
-
 $(FILES):
 	@echo "Copying files:"
 	@for file in $(DISTFILES); do \
@@ -201,6 +201,14 @@
 	# rename file for Windows
 	@echo "  $(srcdir)/COPYING to $(windir)/License.txt"
 	@cp -p $(srcdir)/COPYING $(windir)/License.txt
+	@echo "  $(srcdir)/units_cur to $(windir)/$(CUR_PROG)"
+	@cp -p $(srcdir)/units_cur $(windir)/$(CUR_PROG)
+	@echo "Checking for UTF-8 markers ..."
+	@result=`file * | grep -e 'UTF-8' -e BOM`; \
+	if [ -n "$$result" ]; then \
+	  echo "$$result"; \
+	  false; \
+	fi
 
 	@make currency_update
 
@@ -209,6 +217,32 @@
 	    echo "  $$file"; \
 	    $(UNIX2DOS) $$file; \
 	done
+
+$(PROG):
+	@echo "Copying source files:"
+	@for file in $(SOURCEFILES) $(WINMAKEFILE); do \
+	    echo "  $(srcdir)/$$file"; \
+	    cp -p $(srcdir)/$$file $(windir); \
+	done
+
+	@echo "Checking for UTF-8 markers ..."
+	@result=`file * | grep -e 'UTF-8' -e BOM`; \
+	if [ -n "$$result" ]; then \
+	  echo "$$result"; \
+	  false; \
+	fi
+
+	@echo "Building $(PROGNAME) for Windows ..."
+	@$(CMD) /c "nmake -f $(WINMAKEFILE)"
+
+# not used unless distribution is in WinZip format; usually needed only
+# to get past an exe filter
+zip: $(ZIPFILE)
+
+$(ZIPFILE): $(INSTALLER)
+	@echo "Creating $@"
+	@$(ZIP) $(windir)/$(ZIPFILE) $(windir)/$(INSTALLER) > /dev/null
+	@ls -l $(ZIPFILE)
 
 # MikTeX for Windows usually needs to run twice to properly generate the
 # Table of Contents
@@ -226,39 +260,62 @@
 	fi; \
 	touch currency_update
 
+install: windist
+	$(windir)/$(INSTALLER)
+	# make sure everything is OK
+	cd; $(install_dir)/$(PROGNAME) -I
+
+# make sure the executable is the right version, with the right paths for
+# the support files
+check:
+	$(windir)/$(PROGNAME) -I
+
+# make sure the installed executable is the right version, with the right
+# paths for the support files
+check2:
+	cd; $(install_dir)/$(PROGNAME) -I
+
+# see if a UTF-8 marker has been added
+bomcheck:
+	@result=`file * | grep -e 'UTF-8' -e BOM`; \
+	  if [ -n "$$result" ]; then \
+	    echo "$$result"; \
+	  fi;
+
+# remove any added UTF-8 markers; needs $(RMBOM) to work
+rmbom:
+	@$(RMBOM) $(TEXTFILES) $(CUR_PROG) *.iss *.texinfo
+
 # create binary signature and ASCII directive
 winsig: windist
 	@echo "Creating directive and signature"
-	@echo 'version: 1.2' > $(INSTALLER).Directive
-	@echo 'directory: units/windows' >> $(INSTALLER).Directive
-	@echo 'filename: '$(INSTALLER) >> $(INSTALLER).Directive
-	@$(GPG) --clearsign $(INSTALLER).Directive
+	@echo 'version: 1.2' >> $(INSTALLER).directive
+	@echo 'directory: units/windows' >> $(INSTALLER).directive
+	@echo 'filename: '$(INSTALLER) >> $(INSTALLER).directive
+	@$(GPG) --clearsign $(INSTALLER).directive
 	@$(GPG) -b $(INSTALLER)
-	@ls -l $(INSTALLER).Directive.asc $(INSTALLER).sig
-	@rm -f $(INSTALLER).Directive
-
-install: windist
-	$(windir)/$(INSTALLER)
-	# make sure everything is OK
-	$(install_dir)/$(PROG) -I
-
-# make sure the executable is the right version, with the right paths for
-# the support files
-check:
-	$(windir)/$(PROG) -I
-
-# make sure the installed executable is the right version, with the right
-# paths for the support files
-check2:
-	cd; $(install_dir)/$(PROG) -I
-
-# see if a UTF-8 marker has been added
-bomcheck:
-	@file * | grep -e 'UTF-8' -e BOM
-
-# remove any added UTF-8 markers; needs $(RMBOM) to work
-rmbom:
-	@$(RMBOM) $(TEXTFILES) $(CUR_PROG) *.iss *.texinfo
+	@ls -l $(INSTALLER).directive.asc $(INSTALLER).sig
+	@rm -f $(INSTALLER).directive
+
+upload: $(INSTALLER).directive.asc
+	@date
+	@echo 'anonymous' > $(UPLOADFILE)
+	@echo 'cd /incoming/ftp/' >> $(UPLOADFILE)
+	@echo 'put $(INSTALLER)' >> $(UPLOADFILE)
+	@echo 'put $(INSTALLER).directive.asc' >> $(UPLOADFILE)
+	@echo 'put $(INSTALLER).sig' >> $(UPLOADFILE)
+	@echo 'quit' >> $(UPLOADFILE)
+	$(FTP)
+
+alpha: $(INSTALLER).directive.asc
+	@date
+	@echo 'anonymous' > $(ALPHAFILE)
+	@echo 'cd /incoming/alpha/' >> $(ALPHAFILE)
+	@echo 'put $(INSTALLER)' >> $(ALPHAFILE)
+	@echo 'put $(INSTALLER).directive.asc' >> $(ALPHAFILE)
+	@echo 'put $(INSTALLER).sig' >> $(ALPHAFILE)
+	@echo 'quit' >> $(ALPHAFILE)
+	$(AFTP)
 
 # get rid of the TeX auxilliary files
 texclean: FORCE
@@ -266,7 +323,9 @@
 	    *.aux *.cp *.fn *.ky *.op *.pg *.toc *.tp *.vr
 
 clean: FORCE
-	-rm -f $(INSTALLER) $(ZIPFILE) $(CUR_PROG)
+	-rm -f $(INSTALLER) $(ZIPFILE) $(PROG) $(OBJS) $(RES) $(CUR_PROG)
+	-rm -f $(SOURCEFILES) $(WINMAKEFILE)
+	-rm -f $(UPLOADFILE) $(ALPHAFILE)
 
 distclean: clean texclean FORCE
 	-rm -f $(DISTFILES) $(WINPDF) License.txt
@@ -284,10 +343,19 @@
 files: FORCE
 	@ls $(BUILDERFILES)
 
+# files included in upload
+# long form
+llist: FORCE
+	@ls -l $(INSTALLER) $(DISTFILES) $(WINFILES) $(WINPDF)
+	@if [ -e $(INSTALLER).directive.asc ]; then \
+	    ls -l $(INSTALLER).directive.asc $(INSTALLER).sig; \
+	fi
+
+# just names
 list: FORCE
-	@ls -l $(INSTALLER) $(DISTFILES) $(WINFILES) $(WINPDF)
-	@if [ -e $(INSTALLER).Directive.asc ]; then \
-	    ls -l $(INSTALLER).Directive.asc $(INSTALLER).sig; \
+	@ls $(INSTALLER) $(DISTFILES) $(WINFILES) $(WINPDF)
+	@if [ -e $(INSTALLER).directive.asc ]; then \
+	    ls $(INSTALLER).directive.asc $(INSTALLER).sig; \
 	fi
 
 showsrc: FORCE
