=== debian/changelog ===
units (2.25-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Sat, 31 Jan 2026 12:31:07 +0100
