=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: units
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: utils
-Priority: optional
 Build-Depends: bison,
                debhelper-compat (= 13),
                libreadline-dev,
                python3,
                texinfo
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian/units
 Vcs-Git: https://salsa.debian.org/debian/units.git
 Homepage: https://www.gnu.org/software/units/
-Rules-Requires-Root: no
 
 Package: units
 Architecture: any
