=== debian/watch ===
Version: 5

Source: https://ftp.gnu.org/gnu/units/
Matching-Pattern: (?:.*/)?units@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: auto
Pgpsigurlmangle: s/$/.sig/
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/
