## units 2.26

=== Windows/Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 SHELL = /bin/sh
 PROGNAME = units
 PROG = $(PROGNAME).exe
-VERSION = 2.25
+VERSION = 2.26
 DISTNAME = $(PROGNAME)-$(VERSION)
 INSTALLER = $(DISTNAME)$(exename)
 ZIPFILE = $(DISTNAME)$(zipname)
