=== debian/changelog ===
units (2.26-1) unstable; urgency=medium

  * New upstream release, obsoleting packetizer.patch.
  * Update Lintian overrides to handle the split update files.
  * Update the units_cur man page.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 Feb 2026 23:21:30 +0100

units (2.25-2) unstable; urgency=medium

  * Switch to new packetizer.com URLs in units_cur. Closes: #1128412.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Feb 2026 18:30:49 +0100
